
$LOAD_PATH.push File.expand_path('lib', __dir__)
require 'bridge_api/version'

Gem::Specification.new do |gem|
  gem.authors =       ['Jay Shaffer']
  gem.email =         ['jshaffer@instructure.com']
  gem.description =   'Ruby gem for interacting with the bridge API'
  gem.summary =       'Bridge API'
  gem.homepage =      'https://getbridge.com'
  gem.license = 'MIT'

  gem.files = `git ls-files`.split("\n")
  gem.files += Dir.glob('lib/**/*.rb')
  gem.files += Dir.glob('spec/**/*')
  gem.test_files    = Dir.glob('spec/**/*')
  gem.name          = 'bridge_api'
  gem.require_paths = ['lib']
  gem.version       = BridgeAPI::VERSION

  gem.add_development_dependency 'bundler', '~> 1.0', '>= 1.0.0'
  gem.add_development_dependency 'byebug', '~> 8.2.2'
  gem.add_development_dependency 'pry', '~> 0'
  gem.add_development_dependency 'rake', '~> 0'
  gem.add_development_dependency 'rspec', '~> 2.6'
  gem.add_development_dependency 'sinatra', '~> 1.0'
  gem.add_development_dependency 'tilt', '>= 1.3.4', '~> 1.3'
  gem.add_development_dependency 'webmock', '~>1.22.6'
  gem.add_development_dependency 'mock_redis'

  gem.add_dependency 'faraday', '~> 0.17.3'
  gem.add_dependency 'faraday_middleware', '>= 0.12.2'
  gem.add_dependency 'footrest', '>= 0.5.1'
  gem.add_dependency 'paul_walker', '>= 0.1.1'
end
